#version 130

in vec2 TexCoords;
in vec2 LightmapCoords;
in vec3 Normal;
in vec4 Color;

uniform sampler2D texture;
uniform float rainStrength;

void main()
{
	vec3 ac = vec3(0.8, 0.85, 0.95);
	vec4 albedo = texture2D(texture, TexCoords) * Color * vec4(ac, 1);
	albedo.a *= (1 - rainStrength);
	
	/* DRAWBUFFERS:012 */
    gl_FragData[0] = albedo;
	gl_FragData[1] = vec4(Normal * 0.5f + 0.5f, 1.0f);
    gl_FragData[2] = vec4(vec3(LightmapCoords, 0), 1.0f);
}
