#version 130

in vec2 TexCoords;
in vec2 LightmapCoords;
in vec3 Normal;
in vec4 Color;

uniform sampler2D texture;

void main(){
    vec4 albedo = texture2D(texture, TexCoords) * Color;
	
    float average = (albedo.r + albedo.g + albedo.b) / 3.0;
	albedo.rgb = mix(vec3(average), albedo.rgb, 0.75);

    /* DRAWBUFFERS:012 */
    gl_FragData[0] = vec4(albedo.rgb, albedo.a * 1.25);
    gl_FragData[1] = vec4(Normal * 0.5f + 0.5f, 1.0f);
    gl_FragData[2] = vec4(LightmapCoords, 0.0f, 1.0f);
}
